path: /build/build/wayland-dev-libs-1.22.0+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge dev-libs/wayland -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps dev-libs/wayland
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/wayland && luet-portage --dir /pkgdir/wayland
    dev-libs/wayland && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:1fe560b6c9315fc13217eccc093dfecc4b593950095f75594cf6879e4733286f
  package:
    name: wayland
    version: 1.22.0+1
    category: dev-libs
    use_flags:
    - -doc
    requires:
    - name: libXfixes
      version: '>=0'
      category: x11-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Wayland protocol libraries
    uri:
    - https://wayland.freedesktop.org/
    - https://gitlab.freedesktop.org/wayland/wayland
    license: MIT
    buildtimestamp: 2025-03-19 00:07:34.478497347 +0000 UTC m=+84.796296894
    labels:
      BDEPEND: ~dev-util/wayland-scanner-1.22.0 virtual/pkgconfig doc? ( >=app-doc/doxygen-1.6[dot]
        app-text/xmlto >=media-gfx/graphviz-2.26.0 ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: '>=dev-libs/expat-2.1.0-r3:= dev-libs/libxml2:= >=dev-libs/libffi-3.0.13-r1:='
      IUSE: doc
      RDEPEND: '>=dev-libs/expat-2.1.0-r3:= dev-libs/libxml2:= >=dev-libs/libffi-3.0.13-r1:='
      emerge.packages: dev-libs/wayland
      kit: xorg-kit
      original.package.name: dev-libs/wayland
      original.package.slot: "0"
      original.package.version: 1.22.0
    treedir: /build/packages
  package_dir: /pkgdir/wayland
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 5f99332639e35b0d570b400a3b296b4d13531761d7b6fda010f073235e806d33
compressiontype: zstd
files:
- usr/include/wayland-client-core.h
- usr/include/wayland-client-protocol.h
- usr/include/wayland-client.h
- usr/include/wayland-cursor.h
- usr/include/wayland-egl-backend.h
- usr/include/wayland-egl-core.h
- usr/include/wayland-egl.h
- usr/include/wayland-server-core.h
- usr/include/wayland-server-protocol.h
- usr/include/wayland-server.h
- usr/include/wayland-util.h
- usr/include/wayland-version.h
- usr/lib64/libwayland-client.so
- usr/lib64/libwayland-client.so.0
- usr/lib64/libwayland-client.so.0.22.0
- usr/lib64/libwayland-cursor.so
- usr/lib64/libwayland-cursor.so.0
- usr/lib64/libwayland-cursor.so.0.22.0
- usr/lib64/libwayland-egl.so
- usr/lib64/libwayland-egl.so.1
- usr/lib64/libwayland-egl.so.1.22.0
- usr/lib64/libwayland-server.so
- usr/lib64/libwayland-server.so.0
- usr/lib64/libwayland-server.so.0.22.0
- usr/lib64/pkgconfig/wayland-client.pc
- usr/lib64/pkgconfig/wayland-cursor.pc
- usr/lib64/pkgconfig/wayland-egl-backend.pc
- usr/lib64/pkgconfig/wayland-egl.pc
- usr/lib64/pkgconfig/wayland-server.pc
- usr/share/doc/wayland-1.22.0/README.md.bz2
- var/db/pkg/dev-libs/wayland-1.22.0/BDEPEND
- var/db/pkg/dev-libs/wayland-1.22.0/BUILD_TIME
- var/db/pkg/dev-libs/wayland-1.22.0/CATEGORY
- var/db/pkg/dev-libs/wayland-1.22.0/CBUILD
- var/db/pkg/dev-libs/wayland-1.22.0/CFLAGS
- var/db/pkg/dev-libs/wayland-1.22.0/CHOST
- var/db/pkg/dev-libs/wayland-1.22.0/CONTENTS
- var/db/pkg/dev-libs/wayland-1.22.0/COUNTER
- var/db/pkg/dev-libs/wayland-1.22.0/CTARGET
- var/db/pkg/dev-libs/wayland-1.22.0/CXX
- var/db/pkg/dev-libs/wayland-1.22.0/CXXFLAGS
- var/db/pkg/dev-libs/wayland-1.22.0/DEFINED_PHASES
- var/db/pkg/dev-libs/wayland-1.22.0/DEPEND
- var/db/pkg/dev-libs/wayland-1.22.0/DESCRIPTION
- var/db/pkg/dev-libs/wayland-1.22.0/EAPI
- var/db/pkg/dev-libs/wayland-1.22.0/FEATURES
- var/db/pkg/dev-libs/wayland-1.22.0/HOMEPAGE
- var/db/pkg/dev-libs/wayland-1.22.0/INHERITED
- var/db/pkg/dev-libs/wayland-1.22.0/IUSE
- var/db/pkg/dev-libs/wayland-1.22.0/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/wayland-1.22.0/KEYWORDS
- var/db/pkg/dev-libs/wayland-1.22.0/LDFLAGS
- var/db/pkg/dev-libs/wayland-1.22.0/LICENSE
- var/db/pkg/dev-libs/wayland-1.22.0/NEEDED
- var/db/pkg/dev-libs/wayland-1.22.0/NEEDED.ELF.2
- var/db/pkg/dev-libs/wayland-1.22.0/PF
- var/db/pkg/dev-libs/wayland-1.22.0/PROVIDES
- var/db/pkg/dev-libs/wayland-1.22.0/RDEPEND
- var/db/pkg/dev-libs/wayland-1.22.0/REQUIRES
- var/db/pkg/dev-libs/wayland-1.22.0/SIZE
- var/db/pkg/dev-libs/wayland-1.22.0/SLOT
- var/db/pkg/dev-libs/wayland-1.22.0/USE
- var/db/pkg/dev-libs/wayland-1.22.0/environment.bz2
- var/db/pkg/dev-libs/wayland-1.22.0/repository
- var/db/pkg/dev-libs/wayland-1.22.0/wayland-1.22.0.ebuild
package_cacheimage: ""
runtime:
  name: wayland
  version: 1.22.0+1
  category: dev-libs
  use_flags:
  - -doc
  requires:
  - name: expat
    version: '>=0'
    category: dev-libs
  - name: libffi
    version: '>=0'
    category: dev-libs
  - name: libxml2
    version: '>=0'
    category: dev-libs-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Wayland protocol libraries
  uri:
  - https://wayland.freedesktop.org/
  - https://gitlab.freedesktop.org/wayland/wayland
  license: MIT
  labels:
    BDEPEND: ~dev-util/wayland-scanner-1.22.0 virtual/pkgconfig doc? ( >=app-doc/doxygen-1.6[dot]
      app-text/xmlto >=media-gfx/graphviz-2.26.0 ) >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: '>=dev-libs/expat-2.1.0-r3:= dev-libs/libxml2:= >=dev-libs/libffi-3.0.13-r1:='
    IUSE: doc
    RDEPEND: '>=dev-libs/expat-2.1.0-r3:= dev-libs/libxml2:= >=dev-libs/libffi-3.0.13-r1:='
    emerge.packages: dev-libs/wayland
    kit: xorg-kit
    original.package.name: dev-libs/wayland
    original.package.slot: "0"
    original.package.version: 1.22.0
